diff --git a/lib/app/modules/donatur/views/donatur_penitipan_view.dart b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
index 87a2d1d..0d7d70c 100644
--- a/lib/app/modules/donatur/views/donatur_penitipan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
@@ -783,11 +1888,7 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
             color: Colors.blue.shade50,
             borderRadius: BorderRadius.circular(8),
           ),
-          child: Icon(
-            icon,
-            color: Colors.blue,
-            size: 20,
-          ),
+          child: Icon(icon, color: Colors.blue, size: 20),
         ),
         const SizedBox(width: 12),
         Expanded(
@@ -804,10 +1905,7 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
               const SizedBox(height: 4),
               Text(
                 content,
-                style: TextStyle(
-                  fontSize: 14,
-                  color: Colors.grey.shade700,
-                ),
+                style: TextStyle(fontSize: 14, color: Colors.grey.shade700),
               ),
             ],
           ),
diff --git a/lib/app/modules/donatur/views/donatur_riwayat_penitipan_view.dart b/lib/app/modules/donatur/views/donatur_riwayat_penitipan_view.dart
index fcffda9..3437e5c 100644
--- a/lib/app/modules/donatur/views/donatur_riwayat_penitipan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_riwayat_penitipan_view.dart
@@ -1,7 +1,8 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 
 class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
   DonaturRiwayatPenitipanView({super.key});
@@ -60,8 +61,7 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
           final kategoriNama = item.kategoriBantuan?.nama?.toLowerCase() ?? '';
           final deskripsi = item.deskripsi?.toLowerCase() ?? '';
           final tanggal = item.tanggalPenitipan != null
-              ? DateFormat('dd MMMM yyyy', 'id_ID')
-                  .format(item.tanggalPenitipan!)
+              ? FormatHelper.formatDateTime(item.tanggalPenitipan!)
                   .toLowerCase()
               : '';
 
@@ -214,8 +214,7 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
   Widget _buildPenitipanCard(
       BuildContext context, dynamic penitipan, Color statusColor) {
     final formattedDate = penitipan.tanggalPenitipan != null
-        ? DateFormat('dd MMMM yyyy', 'id_ID')
-            .format(penitipan.tanggalPenitipan!)
+        ? FormatHelper.formatDateTime(penitipan.tanggalPenitipan!)
         : 'Tanggal tidak tersedia';
 
     IconData statusIcon;
@@ -435,61 +434,6 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
       return id != null ? 'Petugas Desa' : 'Tidak ada petugas';
     }
 
-    void showFullScreenImage(String imageUrl) {
-      Get.dialog(
-        Dialog(
-          insetPadding: EdgeInsets.zero,
-          child: Container(
-            color: Colors.black,
-            child: Stack(
-              fit: StackFit.expand,
-              children: [
-                InteractiveViewer(
-                  panEnabled: true,
-                  minScale: 0.5,
-                  maxScale: 4,
-                  child: Image.network(
-                    imageUrl,
-                    fit: BoxFit.contain,
-                    loadingBuilder: (context, child, loadingProgress) {
-                      if (loadingProgress == null) return child;
-                      return Center(
-                        child: CircularProgressIndicator(
-                          value: loadingProgress.expectedTotalBytes != null
-                              ? loadingProgress.cumulativeBytesLoaded /
-                                  loadingProgress.expectedTotalBytes!
-                              : null,
-                        ),
-                      );
-                    },
-                  ),
-                ),
-                Positioned(
-                  top: 20,
-                  right: 20,
-                  child: GestureDetector(
-                    onTap: () => Get.back(),
-                    child: Container(
-                      padding: const EdgeInsets.all(8),
-                      decoration: BoxDecoration(
-                        color: Colors.black.withOpacity(0.5),
-                        shape: BoxShape.circle,
-                      ),
-                      child: const Icon(
-                        Icons.close,
-                        color: Colors.white,
-                        size: 24,
-                      ),
-                    ),
-                  ),
-                ),
-              ],
-            ),
-          ),
-        ),
-      );
-    }
-
     Get.dialog(
       AlertDialog(
         title: const Text('Detail Penitipan'),
@@ -509,8 +453,7 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
               _buildInfoRow(
                 'Tanggal Penitipan',
                 penitipan.tanggalPenitipan != null
-                    ? DateFormat('dd MMMM yyyy', 'id_ID')
-                        .format(penitipan.tanggalPenitipan!)
+                    ? FormatHelper.formatDateTime(penitipan.tanggalPenitipan!)
                     : 'Tanggal tidak tersedia',
               ),
               _buildInfoRow(
@@ -520,8 +463,7 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
               if (penitipan.tanggalVerifikasi != null)
                 _buildInfoRow(
                   'Tanggal Verifikasi',
-                  DateFormat('dd MMMM yyyy HH:mm', 'id_ID')
-                      .format(penitipan.tanggalVerifikasi!),
+                  FormatHelper.formatDateTime(penitipan.tanggalVerifikasi!),
                 ),
               if (penitipan.deskripsi != null &&
                   penitipan.deskripsi!.isNotEmpty)
@@ -543,8 +485,10 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
                 ),
                 const SizedBox(height: 8),
                 GestureDetector(
-                  onTap: () =>
-                      showFullScreenImage(penitipan.fotoBantuan!.first),
+                  onTap: () => ShowImageDialog.showFullScreen(
+                    context,
+                    penitipan.fotoBantuan!.first,
+                  ),
                   child: Container(
                     height: 200,
                     width: double.infinity,
@@ -572,8 +516,10 @@ class DonaturRiwayatPenitipanView extends GetView<DonaturDashboardController> {
                 ),
                 const SizedBox(height: 8),
                 GestureDetector(
-                  onTap: () =>
-                      showFullScreenImage(penitipan.fotoBuktiSerahTerima!),
+                  onTap: () => ShowImageDialog.showFullScreen(
+                    context,
+                    penitipan.fotoBuktiSerahTerima!,
+                  ),
                   child: Container(
                     height: 200,
                     width: double.infinity,
diff --git a/lib/app/modules/donatur/views/donatur_skema_view.dart b/lib/app/modules/donatur/views/donatur_skema_view.dart
index 9487b5c..447aeec 100644
--- a/lib/app/modules/donatur/views/donatur_skema_view.dart
+++ b/lib/app/modules/donatur/views/donatur_skema_view.dart
@@ -4,7 +4,6 @@ import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard
 import 'package:penyaluran_app/app/widgets/section_header.dart';
 import 'package:penyaluran_app/app/data/models/stok_bantuan_model.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
-import 'package:penyaluran_app/app/utils/date_helper.dart';
 
 class DonaturSkemaView extends GetView<DonaturDashboardController> {
   const DonaturSkemaView({super.key});
@@ -549,14 +548,14 @@ class DonaturSkemaView extends GetView<DonaturDashboardController> {
 
     int days = difference.inDays;
     if (days > 0) {
-      return 'Batas waktu: ${days} hari lagi';
+      return 'Batas waktu: $days hari lagi';
     } else {
       int hours = difference.inHours;
       if (hours > 0) {
-        return 'Batas waktu: ${hours} jam lagi';
+        return 'Batas waktu: $hours jam lagi';
       } else {
         int minutes = difference.inMinutes;
-        return 'Batas waktu: ${minutes} menit lagi';
+        return 'Batas waktu: $minutes menit lagi';
       }
     }
   }
@@ -597,20 +596,20 @@ class DonaturSkemaView extends GetView<DonaturDashboardController> {
         }
       }
       // Format nilai sebagai Rupiah menggunakan DateHelper
-      return DateHelper.formatRupiah(nilai);
+      return FormatHelper.formatRupiah(nilai);
     }
 
     // Jika bukan uang, kembalikan nilai + satuan (jika ada)
-    return '${jumlahDiterimaPerOrang} ${stokBantuan.satuan ?? ''}';
+    return '$jumlahDiterimaPerOrang ${stokBantuan.satuan ?? ''}';
   }
 
   String _formatRupiah(dynamic amount) {
     if (amount is num) {
-      return DateHelper.formatRupiah(amount);
+      return FormatHelper.formatRupiah(amount);
     } else if (amount is String) {
       try {
         double nilai = double.parse(amount);
-        return DateHelper.formatRupiah(nilai);
+        return FormatHelper.formatRupiah(nilai);
       } catch (e) {
         return 'Rp ${amount.replaceAllMapped(RegExp(r'(\d{1,3})(?=(\d{3})+(?!\d))'), (Match m) => '${m[1]}.')}';
       }
diff --git a/lib/app/modules/donatur/views/donatur_view.dart b/lib/app/modules/donatur/views/donatur_view.dart
index c56ed91..c3e6fd1 100644
--- a/lib/app/modules/donatur/views/donatur_view.dart
+++ b/lib/app/modules/donatur/views/donatur_view.dart
@@ -34,7 +34,7 @@ class DonaturView extends GetView<DonaturDashboardController> {
         title: Obx(() {
           switch (controller.activeTabIndex.value) {
             case 0:
-              return const Text('Dashboard Donatur');
+              return const Text('Dashboard');
             case 1:
               return const Text('Skema Bantuan');
             case 2:
@@ -44,7 +44,7 @@ class DonaturView extends GetView<DonaturDashboardController> {
             case 4:
               return const Text('Laporan Penyaluran');
             default:
-              return const Text('Dashboard Donatur');
+              return const Text('Dashboard');
           }
         }),
         leading: IconButton(
@@ -201,12 +201,20 @@ class DonaturView extends GetView<DonaturDashboardController> {
                             controller.profilePhotoUrl!.isNotEmpty
                         ? NetworkImage(controller.profilePhotoUrl!)
                         : null,
-                    child: controller.profilePhotoUrl == null ||
-                            controller.profilePhotoUrl!.isEmpty
-                        ? const Icon(
-                            Icons.person,
-                            color: Colors.white,
-                            size: 40,
+                    child: (controller.profilePhotoUrl == null ||
+                            controller.profilePhotoUrl!.isEmpty)
+                        ? Text(
+                            controller.nama.isNotEmpty
+                                ? controller.nama
+                                    .toString()
+                                    .substring(0, 1)
+                                    .toUpperCase()
+                                : '?',
+                            style: TextStyle(
+                              fontWeight: FontWeight.bold,
+                              color: Colors.blue.shade700,
+                              fontSize: 24,
+                            ),
                           )
                         : null,
                   ),
@@ -284,44 +292,175 @@ class DonaturView extends GetView<DonaturDashboardController> {
             child: ListView(
               padding: EdgeInsets.zero,
               children: [
-                ListTile(
-                  leading: const Icon(Icons.person_outline),
-                  title: const Text('Profil'),
+                _buildMenuCategory('Menu Utama'),
+                Obx(() => _buildMenuItem(
+                      icon: Icons.dashboard_outlined,
+                      activeIcon: Icons.dashboard,
+                      title: 'Dashboard',
+                      isSelected: controller.activeTabIndex.value == 0,
+                      onTap: () {
+                        Navigator.pop(context);
+                        controller.activeTabIndex.value = 0;
+                      },
+                    )),
+                Obx(() => _buildMenuItem(
+                      icon: Icons.description_outlined,
+                      activeIcon: Icons.description,
+                      title: 'Skema Bantuan',
+                      isSelected: controller.activeTabIndex.value == 1,
+                      onTap: () {
+                        Navigator.pop(context);
+                        controller.activeTabIndex.value = 1;
+                      },
+                    )),
+                Obx(() => _buildMenuItem(
+                      icon: Icons.calendar_today_outlined,
+                      activeIcon: Icons.calendar_today,
+                      title: 'Jadwal Penyaluran',
+                      isSelected: controller.activeTabIndex.value == 2,
+                      onTap: () {
+                        Navigator.pop(context);
+                        controller.activeTabIndex.value = 2;
+                      },
+                    )),
+                Obx(() => _buildMenuItem(
+                      icon: Icons.add_box_outlined,
+                      activeIcon: Icons.add_box,
+                      title: 'Penitipan Bantuan',
+                      isSelected: controller.activeTabIndex.value == 3,
+                      onTap: () {
+                        Navigator.pop(context);
+                        controller.activeTabIndex.value = 3;
+                      },
+                    )),
+                Obx(() => _buildMenuItem(
+                      icon: Icons.assignment_outlined,
+                      activeIcon: Icons.assignment,
+                      title: 'Laporan Penyaluran',
+                      isSelected: controller.activeTabIndex.value == 4,
+                      onTap: () {
+                        Navigator.pop(context);
+                        controller.activeTabIndex.value = 4;
+                      },
+                    )),
+                _buildMenuCategory('Pengaturan'),
+                _buildMenuItem(
+                  icon: Icons.person_outline,
+                  activeIcon: Icons.person,
+                  title: 'Profil',
                   onTap: () {
                     Navigator.pop(context);
                     Get.toNamed('/profile');
                   },
                 ),
-                ListTile(
-                  leading: const Icon(Icons.history),
-                  title: const Text('Riwayat Donasi'),
+                _buildMenuItem(
+                  icon: Icons.info_outline,
+                  activeIcon: Icons.info,
+                  title: 'Tentang Kami',
                   onTap: () {
                     Navigator.pop(context);
-                    // TODO: Implementasi riwayat donasi
+                    Get.toNamed('/about');
                   },
                 ),
-                ListTile(
-                  leading: const Icon(Icons.settings_outlined),
-                  title: const Text('Pengaturan'),
-                  onTap: () {
-                    Navigator.pop(context);
-                    // TODO: Implementasi pengaturan
-                  },
-                ),
-                const Divider(),
-                ListTile(
-                  leading: const Icon(Icons.logout),
-                  title: const Text('Keluar'),
+                _buildMenuItem(
+                  icon: Icons.logout,
+                  title: 'Keluar',
                   onTap: () {
                     Navigator.pop(context);
                     controller.logout();
                   },
+                  isLogout: true,
                 ),
               ],
             ),
           ),
+          Padding(
+            padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
+            child: Text(
+              '© ${DateTime.now().year} DisalurKita',
+              style: TextStyle(
+                fontSize: 12,
+                color: Colors.grey,
+              ),
+              textAlign: TextAlign.center,
+            ),
+          ),
         ],
       ),
     );
   }
+
+  Widget _buildMenuCategory(String title) {
+    return Padding(
+      padding: const EdgeInsets.only(left: 16, right: 16, top: 16, bottom: 8),
+      child: Text(
+        title,
+        style: TextStyle(
+          fontSize: 12,
+          fontWeight: FontWeight.bold,
+          color: Colors.grey[600],
+        ),
+      ),
+    );
+  }
+
+  Widget _buildMenuItem({
+    required IconData icon,
+    IconData? activeIcon,
+    required String title,
+    bool isSelected = false,
+    String? badge,
+    required Function() onTap,
+    bool isLogout = false,
+  }) {
+    return AnimatedContainer(
+      duration: const Duration(milliseconds: 200),
+      decoration: BoxDecoration(
+        color: isSelected
+            ? AppTheme.primaryColor.withOpacity(0.1)
+            : Colors.transparent,
+        borderRadius: BorderRadius.circular(8),
+      ),
+      margin: const EdgeInsets.symmetric(horizontal: 8, vertical: 2),
+      child: ListTile(
+        leading: Icon(
+          isSelected ? (activeIcon ?? icon) : icon,
+          color: isSelected
+              ? AppTheme.primaryColor
+              : (isLogout ? Colors.red : null),
+        ),
+        title: Text(
+          title,
+          style: TextStyle(
+            color: isSelected
+                ? AppTheme.primaryColor
+                : (isLogout ? Colors.red : null),
+            fontWeight: isSelected ? FontWeight.bold : null,
+          ),
+        ),
+        trailing: badge != null
+            ? Container(
+                padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 2),
+                decoration: BoxDecoration(
+                  color: Colors.orange,
+                  borderRadius: BorderRadius.circular(10),
+                ),
+                constraints: const BoxConstraints(
+                  minWidth: 20,
+                  minHeight: 20,
+                ),
+                child: Text(
+                  badge,
+                  style: const TextStyle(
+                    color: Colors.white,
+                    fontSize: 12,
+                  ),
+                  textAlign: TextAlign.center,
+                ),
+              )
+            : null,
+        onTap: onTap,
+      ),
+    );
+  }
 }
diff --git a/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart b/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
index 6b3b4c0..22fbf89 100644
--- a/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
+++ b/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
@@ -11,7 +11,6 @@ import 'package:path_provider/path_provider.dart';
 import 'dart:io';
 import 'package:open_file/open_file.dart';
 import 'package:flutter/services.dart';
-import 'package:intl/intl.dart';
 import 'package:http/http.dart' as http;
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 
@@ -635,7 +634,7 @@ class LaporanPenyaluranController extends GetxController {
                                 fontSize: 12,
                                 color: PdfColors.blue900)),
                         pw.Text(
-                          'Tanggal: ${DateFormat('dd MMMM yyyy').format(DateTime.now())}',
+                          'Tanggal: ${FormatHelper.formatDateTime(DateTime.now())}',
                           style: pw.TextStyle(font: ttf, fontSize: 10),
                         ),
                       ],
@@ -708,8 +707,7 @@ class LaporanPenyaluranController extends GetxController {
                   _buildPdfRow(
                       'Tanggal Laporan',
                       laporan.tanggalLaporan != null
-                          ? DateTimeHelper.formatDateTime(
-                              laporan.tanggalLaporan!)
+                          ? FormatHelper.formatDateTime(laporan.tanggalLaporan!)
                           : '-',
                       ttf,
                       ttfBold),
@@ -731,7 +729,7 @@ class LaporanPenyaluranController extends GetxController {
                   _buildPdfRow(
                       'Tanggal Penyaluran',
                       penyaluran.tanggalPenyaluran != null
-                          ? DateTimeHelper.formatDateTime(
+                          ? FormatHelper.formatDateTime(
                               penyaluran.tanggalPenyaluran!)
                           : '-',
                       ttf,
@@ -739,7 +737,7 @@ class LaporanPenyaluranController extends GetxController {
                   _buildPdfRow(
                       'Tanggal Selesai',
                       penyaluran.tanggalSelesai != null
-                          ? DateTimeHelper.formatDateTime(
+                          ? FormatHelper.formatDateTime(
                               penyaluran.tanggalSelesai!)
                           : '-',
                       ttf,
@@ -902,7 +900,7 @@ class LaporanPenyaluranController extends GetxController {
 
                           final isUang = stokBantuan['is_uang'] == true;
                           final formattedJumlah = isUang
-                              ? 'Rp ${NumberFormat.currency(locale: 'id', symbol: '', decimalDigits: 0).format(jumlah)}'
+                              ? FormatHelper.formatRupiah(jumlah)
                               : '$jumlah ${stokBantuan['satuan'] ?? ''}';
 
                           return pw.TableRow(
@@ -975,7 +973,7 @@ class LaporanPenyaluranController extends GetxController {
                           final jumlahBantuan = penerima.jumlahBantuan ?? 0;
 
                           final formattedJumlah = isUang
-                              ? 'Rp ${NumberFormat.currency(locale: 'id', symbol: '', decimalDigits: 0).format(jumlahBantuan)}'
+                              ? FormatHelper.formatRupiah(jumlahBantuan)
                               : '$jumlahBantuan ${penerima.satuan ?? ''}';
 
                           return pw.TableRow(
diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_create_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_create_view.dart
index 7f938e0..0526a9a 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_create_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_create_view.dart
@@ -65,7 +65,7 @@ class LaporanPenyaluranCreateView extends GetView<LaporanPenyaluranController> {
                           controller.selectedPenyaluran.value!
                                       .tanggalPenyaluran !=
                                   null
-                              ? DateTimeHelper.formatDateTime(controller
+                              ? FormatHelper.formatDateTime(controller
                                   .selectedPenyaluran.value!.tanggalPenyaluran!)
                               : '-',
                         ),
@@ -73,7 +73,7 @@ class LaporanPenyaluranCreateView extends GetView<LaporanPenyaluranController> {
                           'Tanggal Selesai',
                           controller.selectedPenyaluran.value!.tanggalSelesai !=
                                   null
-                              ? DateTimeHelper.formatDateTime(controller
+                              ? FormatHelper.formatDateTime(controller
                                   .selectedPenyaluran.value!.tanggalSelesai!)
                               : '-',
                         ),
